import Component  from '../component.js'
import { elementAttributeContains } from '../../core/utils.js'

export default class CoEuiDisableContent extends Component {
  constructor(parent) {
    let selector = 'eui-disable-content';
    super(parent, selector);
    //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components/eui-disable-content/eui-disable-content.component.html
  }
  get div() {
    return this.currentPath + '//div';
  }
  async isDisabled() {
    return await elementAttributeContains(this.currentPath, 'class', 'eui-disable-content--disabled');
  }
}


